For the complete documentation index, see llms.txt. This page is also available as Markdown.

Update Webhook Endpoint

Updates the URL or secret of a webhook endpoint. You could also use this API to enable or disable your webhook endpoints. Any parameters not provided will be left unchanged.

/v1/webhook_endpoints/:id

PATCH https://api.uiza.sh/v1/webhook_endpoints/:id

Path Parameters

Name
Type
Description

id

string

The identifier of the live event to be updated.

Request Body

Name
Type
Description

disabled

boolean

Set as true to disable your endpoint, set as false to enable it

url

string

The URL of the webhook endpoint.

secret

string

The token used to validate the communication between Uiza and the webhook endpoint.

{
 "id": "f0f207af-b338-4b7f-8d32-fe9cfa9566eb",
 "url": "https://webhook-test.com/live/updated-route",
 "status": "enabled",
 "secret": "updated-secret",
 "created_at": "2019-12-16T11:31:13Z",
 "updated_at": "2019-12-16T11:31:13Z"
}
{
 "message": "You are unauthorized to access the requested resource. Please verify and resubmit.",
 "error_type": "invalid_request_error"
}
{
 "message": "The webhook endpoint you requested does not exist.",
 "error_type": "invalid_request_error"
}
{
 "message": "An unexpected error occurred on Uiza's end.",
 "error_type": "api_error"
}
curl -X PATCH https://api.uiza.sh/v1/webhook_endpoints/f0f207af-b338-4b7f-8d32-fe9cfa9566eb 
     -H 'Authorization: uap-c1ffbff4db954ddcb050c6af0b43ba56-41193b64' 
     -d '{"url": "https://webhook-test.com/live/updated-route", "secret": "updated-secret"}'

Last updated